//
//  SingleContactViewController.swift
//  ContactsApp
//
//  Created by User on 3/13/20.
//  Copyright © 2020 jheisecke. All rights reserved.
//

import UIKit
import ContactsUI

class SingleContactViewController: UIViewController {
    
    @IBOutlet weak var contactFullname: UILabel!
    var selectedContact : CNContact?
    @IBOutlet weak var profilePic: UIImageView!
    @IBOutlet weak var phoneNumber: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        if let contact = selectedContact{
            title = "\(contact.givenName) \(contact.familyName)"
            contactFullname.text = "\(contact.givenName) \(contact.familyName)"
            //phoneNumber.text = CNLabeledValue.localizedStringForLabel(contact.phoneNumbers)
            
            if contact.imageDataAvailable {
                if let image = contact.imageData {
                    if let imageData = UIImage(data: image){
                        profilePic.image = imageData
                    }
                }
            }

        }
    }

}
